Jump to content

[TOPIC: topicViewTemplate]
[GLOBAL: userSmallPhoto]
Photo

Invalid Architecture on iPad Pro (3rd Generation)
Started by RayCardillo May 22 2019 03:09 AM

2 replies to this topic
[TOPIC CONTROLS]
[/TOPIC CONTROLS]
[modOptionsDropdown]
[/modOptionsDropdown]
[reputationFilter]
[TOPIC: post.html]
#1

RayCardillo

[GLOBAL: userInfoPane.html]
RayCardillo
  • Observer

  • 26 posts
  • Corona SDK

I was trying to debug recently and noticed the following problem in the logs when trying to run on certain simulators (for example iPad Pro 3rd Generation):

May 22 06:58:48 Rays-iMac com.apple.CoreSimulator.SimDevice.88B37059-84F3-4E73-A180-8D1460786430[2270] (UIKitApplication:com.cardilloscreations.games.tempotutor.toon[0xeb77][2293][2414]): Program specified by service does not contain any valid architectures for this system.
May 22 06:58:48 Rays-iMac com.apple.CoreSimulator.SimDevice.88B37059-84F3-4E73-A180-8D1460786430[2270] (UIKitApplication:com.cardilloscreations.games.tempotutor.toon[0xeb77][2293][2414]): Service exited due to SIGTERM | sent by launchd_sim[2270]

I think I saw something similar (but not exactly this) reported by others in the forum when the MinimumOSVersion is set, but this seems strange because it works for everything else. I'm not sure if they updating anything, but I originally included this because Appodeal had specific requirements. Is this no longer the case? If so, perhaps this setting should be removed entirely? Also, I recently submitted another forum question about my app being REJECTED, so I am wondering if this might be related.

  iphone =
  {
    xcassets = "Images.xcassets",                               -- new launch icon assets
    plist =
    {
      MinimumOSVersion = "9.0",                                 -- needed for Appodeal
      NSAppTransportSecurity = { NSAllowsArbitraryLoads=true }, -- needed for Appodeal
      UIStatusBarHidden = true,                                 -- hide the status bar
      UIApplicationExitsOnSuspend = false,                      -- do not exit app on suspend
      UILaunchStoryboardName = "LaunchScreen",                  -- new launch screen
      NSLocationAlwaysUsageDescription = { "This app would like to use location services." },
      NSLocationWhenInUseUsageDescription = { "This app would like to use location services." },
    },
  }, 


[TOPIC: post.html]
#2

RayCardillo

[GLOBAL: userInfoPane.html]
RayCardillo
  • Observer

  • 26 posts
  • Corona SDK

For what it's worth, this does not seem to be related to the MinimumOSVersion because I just tried a build with that line commented out and I get the same error when trying to run the app in that simulator instance.

 

Also, I'm using the latest daily build (at time of writing): Version 2019.3476 (2019.4.22)

 

But I'm on a system that can only go up to: Xcode 10.1 (10B61)

 

iMac running High Sierra: 10.13.6 (17G6030)



[TOPIC: post.html]
#3

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 26,081 posts
  • Enterprise

I don't know why MinimumOSVersion set to 9.0 should be an issue, but in practice Apple claims to support the current level of iOS and two major versions back. Since the current version of iOS is 12.2 in theory anything should work back to 10.2, but specifying an older version shouldn't hurt anything.

 

Rob




[topic_controls]
[/topic_controls]